## r-cran-logger 0.2.2

=== DESCRIPTION ===
Type: Package
Package: logger
Authors@R: c(
    person("Gergely", "Daróczi", , "daroczig@rapporter.net", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3149-8537")),
    person("System1", role = c("fnd"))
    )
Title: A Lightweight, Modern and Flexible Logging Utility
Description: Inspired by the the 'futile.logger' R package and 'logging' Python module, this utility provides a flexible and extensible way of formatting and delivering log messages with low overhead.
Version: 0.2.2
Date: 2021-10-10
URL: https://daroczig.github.io/logger/
BugReports: https://github.com/daroczig/logger/issues
Encoding: UTF-8
RoxygenNote: 7.1.1
License: AGPL-3
Imports: utils
Suggests: glue, pander, jsonlite, crayon, slackr (>= 1.4.1),
        RPushbullet, telegram, testthat, covr, knitr, rmarkdown,
        devtools, roxygen2, parallel, rsyslog, shiny, callr, txtq,
        botor, R.utils, syslognet
Enhances: logging, futile.logger, log4r
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-10-18 21:25:57 UTC; daroczig
Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
  System1 [fnd]
Maintainer: Gergely Daróczi <daroczig@rapporter.net>
Repository: CRAN
Date/Publication: 2021-10-19 05:30:08 UTC

=== inst/demo-packages/logger-tester-package/DESCRIPTION ===
Type: Package
Package: logger.tester
Authors@R: c(
    person("Gergely", "Daroczi", , "daroczig@rapporter.net", role = c("aut", "cre")),
    person("System1", role = c("fnd"))
    )
Title: Dummy package providing testing functions for logger
Description: Dummy package providing testing functions for logger
Version: 0.1
Date: 2018-07-04
URL: https://github.com/daroczig/logger
RoxygenNote: 6.1.0
License: AGPL-3
Imports:
  logger

=== debian/changelog ===
r-cran-logger (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sat, 06 Nov 2021 07:03:06 +0100

r-cran-logger (0.2.1-1) unstable; urgency=medium

  * Initial release (closes: #994528)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 15:15:35 +0200

=== debian/control ===
Source: r-cran-logger
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-logger
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-logger.git
Homepage: https://cran.r-project.org/package=logger
Rules-Requires-Root: no

Package: r-cran-logger
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: lightweight, modern and flexible logging utility for GNU R
 Inspired by the 'futile.logger' R package and 'logging' Python
 module, this utility provides a flexible and extensible way of
 formatting and delivering log messages with low overhead.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-pander, r-cran-r.utils
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/logger_([-\d.]*)\.tar\.gz

## r-cran-logger 0.3.0

=== debian/changelog ===
r-cran-logger (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Jun 2024 10:18:41 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-glue,
        r-cran-pander,
        r-cran-jsonlite,
        r-cran-crayon,
        r-cran-testthat,
        r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-devtools,
        r-cran-roxygen2,
        r-cran-shiny,
        r-cran-callr,
        r-cran-r.utils
Restrictions: allow-stderr

## r-cran-logger 0.4.0

=== DESCRIPTION ===
Type: Package
Package: logger
Title: A Lightweight, Modern and Flexible Logging Utility
Version: 0.4.0
Date: 2024-10-19
Authors@R: c(
    person("Gergely", "Daróczi", , "daroczig@rapporter.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-3149-8537")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("System1", role = "fnd")
  )
Description: Inspired by the the 'futile.logger' R package and 'logging'
    Python module, this utility provides a flexible and extensible way of
    formatting and delivering log messages with low overhead.
License: MIT + file LICENSE
URL: https://daroczig.github.io/logger/
BugReports: https://github.com/daroczig/logger/issues
Depends: R (>= 4.0.0)
Imports: utils
Suggests: botor, covr, crayon, devtools, glue, jsonlite, knitr, mirai
        (>= 1.3.0), pander, parallel, R.utils, rmarkdown, roxygen2,
        RPushbullet, rsyslog, shiny, slackr (>= 1.4.1), syslognet,
        telegram, testthat (>= 3.0.0), withr
Enhances: futile.logger, log4r, logging
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: TRUE
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-10-20 22:07:23 UTC; daroczig
Author: Gergely Daróczi [aut, cre] (<https://orcid.org/0000-0003-3149-8537>),
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  System1 [fnd]
Maintainer: Gergely Daróczi <daroczig@rapporter.net>
Repository: CRAN
Date/Publication: 2024-10-22 08:00:07 UTC

=== debian/changelog ===
r-cran-logger (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version relicensed to MIT.

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 11:30:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-logger
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-logger
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-logger.git
+Homepage: https://cran.r-project.org/package=logger
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-logger
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-logger.git
-Homepage: https://cran.r-project.org/package=logger
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-logger
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-crayon,
        r-cran-devtools,
        r-cran-glue,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-pander,
        r-cran-r.utils,
        r-cran-rmarkdown,
        r-cran-roxygen2,
        r-cran-shiny,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-logger 0.4.1

=== debian/changelog ===
r-cran-logger (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 09:25:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-logger
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-logger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-logger.git
 Homepage: https://cran.r-project.org/package=logger
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-logger
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
-         r-cran-covr,
+         r-cran-cli,
+        r-cran-covr,
         r-cran-crayon,
         r-cran-devtools,
         r-cran-glue,
